// AppData.h

#ifndef __APPDATA_H__
#define __APPDATA_H__

typedef struct {
	UInt32			reserved[12];
} MyInfoType;

typedef MyInfoType *MyInfoPtr;

class MRecord
{
public:
	MRecord (UInt16 index);
	~MRecord() {Empty();}

	void Empty();
	Char* Name() const {return m_pData;}
	Char* Data() const {return m_pData;}

protected:
	Char* m_pData;
};

/*-------------------------------------------------------------------------*/

#ifdef __cplusplus
extern "C" {
#endif

void SetDBAttrBits (DmOpenRef dbP, UInt16 attrBits);
MyInfoPtr MyInfoGetPtr (DmOpenRef dbP);
Err GetAppDatabase (DmOpenRef *dbPP, UInt16 mode);
Err DBSaveGame (Char* pName);
Err DBRestoreGame (UInt16 index);
UInt16 DBFindDefaultGame();
Boolean AppLaunchCmdDatabaseInit (DmOpenRef dbP);

#ifdef __cplusplus 
}
#endif

#endif

